<!--
  Generated template for the GroupPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar color="dark">
    <ion-title>Groups</ion-title>
    <ion-buttons end>
    	<button ion-button icon-only (click)="allUserListPage()" class="allUserNReqBtn">
        <ion-badge color="danger" class="allUserNReqBadges" *ngIf="receiveReq > 0" color="accent">{{ receiveReq }}</ion-badge>
        <ion-icon name="person-add" class="allUserNReqIcon"></ion-icon>
      </button>
    </ion-buttons>
  </ion-navbar>

</ion-header>


<ion-content padding>
  <ion-searchbar class="all-joined-group-search-bar" [(ngModel)]="searchString" (input)="searchuser($event)" placeholder="Search"></ion-searchbar>
  <ion-list no-lines class="group-list">
    <div *ngFor="let allJoinedGroup of joinedGroupList$ | async" class="group-list-item">
      <div *ngFor="let allGroup of groupList$ | async">
        <ion-item *ngIf="allJoinedGroup.key == allGroup.key" (click)="openSelectedGroup(allJoinedGroup.key)">
          <ion-thumbnail item-left>
            <img-loader [src]="allGroup.groupPhotoURL" useImg></img-loader>
          </ion-thumbnail>
          <h2>{{ allGroup.groupName }}</h2>
        </ion-item>
      </div>
    </div>
  </ion-list>

</ion-content>

<ion-footer>
  <button class="add-new-group-btn" ion-button round block outline color="dark" (click)="createNewGroup()">
    <ion-icon name="people"></ion-icon>
    <span>&nbsp;New Group</span>
  </button>
</ion-footer>
